﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;
using System.Data.SqlClient;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample055 : Form
    {
        public FrmSample055()
        {
            InitializeComponent();
        }

        //private string CnString = @"Data Source=RAHKARSOFT\SQL2012;Initial Catalog=Library_DB;Integrated Security=True;";

        private void btnDo_Click(object sender, EventArgs e)
        {
            SqlConnection cn = new SqlConnection(PublicVariables.CnString);
            cn.Open();

            SqlCommand cmd = new SqlCommand();
            cmd.Connection = cn;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "SELECT Book_ID, BookCode, Title, Publisher, PublishYear, RowDesc, BookCategorty_ID FROM Books;";

            SqlDataAdapter da = new SqlDataAdapter();
            da.SelectCommand = cmd;

            DataTable dt = new DataTable();

            da.Fill(dt);

            cn.Close();

            dataGridView1.DataSource = dt;

        }

        private void dataGridView1_CurrentCellChanged(object sender, EventArgs e)
        {
            txtBookCode.Text = "";
            txtTitle.Text = "";
            if (this.dataGridView1.CurrentRow != null)
            { 
                txtBookCode.Text = this.dataGridView1.CurrentRow.Cells["BookCode"].Value.ToString();
                txtTitle.Text = this.dataGridView1.CurrentRow.Cells["Title"].Value.ToString();
            }
        }

        private void btnUpdate_Click(object sender, EventArgs e)
        {
            SqlConnection cn = new SqlConnection(PublicVariables.CnString);
            cn.Open();

            SqlCommand cmd = new SqlCommand();
            cmd.Connection = cn;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "UPDATE [dbo].[Books] SET BookCode = @BookCode, Title = @Title WHERE (Book_ID = @Book_ID)";
            cmd.Parameters.AddWithValue("@BookCode", txtBookCode.Text);
            cmd.Parameters.AddWithValue("@Title", txtTitle.Text);
            cmd.Parameters.AddWithValue("@Book_ID", this.dataGridView1.CurrentRow.Cells["Book_ID"].Value);

            cmd.ExecuteNonQuery();

            cn.Close();

            MessageBox.Show("ویرایش با موفقیت انجام شد");
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            SqlConnection cn = new SqlConnection(PublicVariables.CnString);
            cn.Open();

            SqlCommand cmd = new SqlCommand();
            cmd.Connection = cn;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "DELETE FROM [dbo].[Books] WHERE (Book_ID = @Book_ID)";
            cmd.Parameters.AddWithValue("@Book_ID", this.dataGridView1.CurrentRow.Cells["Book_ID"].Value);

            cmd.ExecuteNonQuery();

            cn.Close();

            MessageBox.Show("حذف با موفقیت انجام شد");
        }





    }
}
